@echo off
set base=IX Patchbay 3.0
echo.

if "%~1"=="" goto help

:parse
if "%~1"=="" goto end

for /f "tokens=1,2 delims=x " %%a in ("%1") do set inarg=%%a&set outarg=%%b&set /a inputs=%%a&set /a outputs=%%b

if %inputs% EQU 0 goto err
if %outputs% EQU 0 goto err

set macname=%base% %inputs%x%outputs%
if exist "%base%.dll" copy "%base%.dll" "%macname%.dll"
if exist "%base%.x64.dll" copy "%base%.x64.dll" "%macname%.x64.dll"
if exist "%base%.GUI.dll" copy "%base%.GUI.dll" "%macname%.GUI.dll"
if exist "%base%.html" copy "%base%.html" "%macname%.html"

shift
goto parse

:err
echo Bad configuration values
if %inputs% EQU 0 echo Bad inputs value:%inarg%
if %outputs% EQU 0 echo Bad outputs value:%outarg%
goto end

:help
echo.%base% Configuration tool
echo.
echo.Copies %base% files to new configurations.
echo.Enter a list of configurations (inputs x outputs) separated by spaces.
echo.Values must be between 1 and 32.
echo.
echo.Example: MakeConfigs 4x4 8x4 16x4
echo.
goto end

:end
pause


